Connect Methods
GET
/api/v1/crypto/connect-methods
const url = 'https://api.parasta.io/api/v1/crypto/connect-methods';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.parasta.io/api/v1/crypto/connect-methods \ --header 'Authorization: Bearer <token>'Get available crypto connection methods (PortX, OAuth, WalletConnect).
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
Example
{ "status": "ok", "data": { "methods": [ { "id": "portx", "name": "PortX (Gate.io)" }, { "id": "oauth", "name": "OAuth (OKX)" }, { "id": "walletconnect", "name": "WalletConnect" } ] }}